## libsdl2-mixer 2.0.0+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.0+dfsg1-3) unstable; urgency=low

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Do not call dh_autoreconf with autogen.sh as parameter, and use
    instead other methods to force the update of ltmain.sh and
    config.{sub,guess} files, needed when having new architectures such as
    arm64 (Closes: #727435)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 09 Mar 2014 11:24:29 +0000

libsdl2-mixer (2.0.0+dfsg1-2) unstable; urgency=low

  * Issue extra -I/usr/include/libmodplug during compilation to avoid a
    FTBFS due to recent changes in libmodplug (Closes: #725564)
  * Build-Depends on pkg-config
  * Clean-up of debian/rules

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 19 Oct 2013 16:30:18 +0100

libsdl2-mixer (2.0.0+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Filter upstream tarball from binaries and unneeded cruft
    - Remove from debian/copyright files that are now filtered out when creating
      the orig.tar
  * Remove patches carried from version sdl-mixer1.2, all of them were applied
    upstream (4) or had been backported (1)
  * Recommend MIDI patch set "freepats"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 13 Aug 2013 20:03:24 +0100

libsdl2-mixer (2.0.0~rc1-1) unstable; urgency=low

  * Initial release. (Closes: #711570)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Jun 2013 01:16:42 +0100
