=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# fix for #725564
MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug

export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SHLIBVER := 2.0.0


# explicitly enable/disable all supported sound
#
# issue "disable-*-shared" flags for 'configure', otherwise SDL_mixer library
# opens those libraries in a plugin-like way (with SDL_LoadObject), and
# dpkg-shlibdeps doesn't seem to generate the needed dependencies in the binary
# library package
#
# enable external music player
confflags := --enable-music-cmd
# flac
confflags += --enable-music-flac
confflags += --disable-music-flac-shared
# MIDI
confflags += --enable-music-midi-fluidsynth
confflags += --disable-music-fluidsynth-shared
confflags += --enable-music-midi-timidity
confflags += --enable-music-midi-native
# MOD
confflags += --enable-music-mod
confflags += --enable-music-mod-modplug
confflags += --disable-music-mod-mikmod
confflags += --disable-music-mod-modplug-shared
# using libmad instead of libsmpeg for mp3 (it's much more popular)
confflags += --enable-music-mp3
confflags += --disable-music-mp3-smpeg
confflags += --enable-music-mp3-mad-gpl
# ogg
confflags += --enable-music-ogg
confflags += --disable-music-ogg-shared
# wav
confflags += --enable-music-wave


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # Needed to update all files to support new arches, including ltmain.sh
        # and config.{sub,guess}
	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_install:
	dh_install --fail-missing -XlibSDL2_mixer.la

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

override_dh_link:
        # fix lintian warning dev-pkg-without-shlib-symlink
	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
	dh_link --remaining-packages

override_dh_compress:
	dh_compress -Xplaymus.c -Xplaywave.c


override_dh_strip:
	dh_strip --dbg-package=libsdl2-mixer-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"
