## libsdl2-mixer 2.0.1+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.1+dfsg1-3) unstable; urgency=medium

  * Update Recommends musescore-soundfont-gm -> timgm6mb-soundfont, thanks
    Thorsten Glaser (Closes: #870793)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 05 Aug 2017 13:48:50 +0200

libsdl2-mixer (2.0.1+dfsg1-2) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
      * disable autoheader (invoked automatically by autoreconf),
        necessary in order to use debhelper compat level v10 without
        overriding dh-autoreconf calls
  * Use automatic dbgsym packages, drop -dbg
  * Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 29 Jul 2017 23:18:31 +0200

libsdl2-mixer (2.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * d/examples/Makefile: link against SDL2_mixer.  Thanks Riku Saikkonen.
    (Closes: #774717)
  * d/patches:
    - Remove fix-750706-upstream-8ef083375857.patch, backported from upstream

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Jan 2016 16:54:51 +0000

libsdl2-mixer (2.0.0+dfsg1-5) unstable; urgency=medium

  * Add patch fix-750706-upstream-8ef083375857.patch backported from
    upstream to fix playing speed with timidity backend.  Thanks Sylvain
    Beucler (Closes: #750706)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 25 Oct 2014 11:07:28 +0100

libsdl2-mixer (2.0.0+dfsg1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Copy patch bug-715461-soundfont_paths.patch from sdl-mixer1.2 to use
    better quality sounds than those of freepats.  Thanks Fabian Greffrath
    (Closes: #766019)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 25 Oct 2014 00:45:21 +0100
