=== debian/control ===
Source: libsdl2-mixer
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 10~),
               libflac-dev (>= 1.2.1),
               libfluidsynth-dev (>= 1.1.1),
               libmad0-dev (>= 0.15.1b),
               libmodplug-dev (>= 1:0.8.8),
               libogg-dev (>= 1.2.0),
               libsdl2-dev (>= 2.0.0),
               libtool,
               libvorbis-dev (>= 1.2.0),
               pkg-config
Homepage: http://www.libsdl.org/projects/SDL_mixer/
Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git


Package: libsdl2-mixer-2.0-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: timgm6mb-soundfont | fluid-soundfont-gm | freepats
Description: Mixer library for Simple DirectMedia Layer 2, libraries
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the shared library.

Package: libsdl2-mixer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsdl2-mixer-2.0-0 (= ${binary:Version}),
         libsdl2-dev (>= 2.0.0)
Description: Mixer library for Simple DirectMedia Layer 2, development files
 SDL_mixer is a sample multi-channel audio mixer library.  It supports any
 number of simultaneously playing channels of 16 bit stereo audio, plus a single
 channel of music, mixed by the popular FLAC, modplug MOD, FluidSynth and
 Timidity MIDI, Ogg Vorbis, and MAD or SMPEG MP3 libraries.
 .
 This package contains the development files.
