=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,20 @@
 MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
+# bug #715461, provide default soundfont paths
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER := 2.0.0
+SHLIBVER := 2.0.1
+
+
+# disable autoheader (invoked automatically by autoreconf), necessary in order
+# to use debhelper compat level v10 without overriding dh-autoreconf calls
+export AUTOHEADER := /bin/true
+# use correct invocation of aclocal for autoreconf
+export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
 
 # explicitly enable/disable all supported sound
@@ -27,7 +36,7 @@
 confflags += --disable-music-flac-shared
 # MIDI
 confflags += --enable-music-midi-fluidsynth
-confflags += --disable-music-fluidsynth-shared
+confflags += --disable-music-midi-fluidsynth-shared
 confflags += --enable-music-midi-timidity
 confflags += --enable-music-midi-native
 # MOD
@@ -47,12 +56,7 @@
 
 
 %:
-	dh $@ --with autoreconf --parallel
-
-override_dh_autoreconf:
-        # Needed to update all files to support new arches, including ltmain.sh
-        # and config.{sub,guess}
-	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed
+	dh $@ --dbgsym-migration=libsdl2-mixer-dbg
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
@@ -65,15 +69,11 @@
 
 override_dh_link:
         # fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
+	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
 	dh_compress -Xplaymus.c -Xplaywave.c
 
-
-override_dh_strip:
-	dh_strip --dbg-package=libsdl2-mixer-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"
