## libsdl2-mixer 2.0.2+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Fix the shlib symlink again, thanks again Andreas Beckmann
    (Closes: #877270).

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:19:39 +0100

libsdl2-mixer (2.0.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.2+dfsg1.
  * Bump Build-Depends to libsdl2-dev (>= 2.0.7) as per configure.in
    requirements.
  * Remove bug-715461-soundfont_paths.patch, applied upstream.
  * Bump SHLIBVER to 2.0.2 as INTERFACE_AGE has been reset in configure.in.
  * Call aclocal before dh_autoreconf to fix FTBFS.
  * Move the dbgsym-migration parameter to the dh_strip call.
  * Add support for the fluidr3mono-gm-soundfont package:
    + Add fluidr3mono-gm-soundfont to the list of alternative recommends.
    + Add Breaks: libfluidsynth1 (<< 1.1.7~) to make sure we have a
      version of that library available that supports the SF3 soundfont
      format.
    + Add the soundfont file to the MIX_INIT_SOUNDFONT_PATHS macro.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:00:37 +0100
