=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libmad0-dev (>= 0.15.1b),
                libmodplug-dev (>= 1:0.8.8),
                libogg-dev (>= 1.2.0),
-               libsdl2-dev (>= 2.0.0),
+               libsdl2-dev (>= 2.0.7),
                libtool,
                libvorbis-dev (>= 1.2.0),
                pkg-config
@@ -25,7 +25,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Recommends: fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Breaks: libfluidsynth1 (<< 1.1.7~)
 Description: Mixer library for Simple DirectMedia Layer 2, libraries
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single
@@ -40,7 +41,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsdl2-mixer-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.0)
+         libsdl2-dev (>= 2.0.7)
 Description: Mixer library for Simple DirectMedia Layer 2, development files
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single
