=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/FluidR3Mono_GM.sf3:/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-SHLIBVER := 2.0.1
+SHLIBVER := 2.0.2
 
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
@@ -56,10 +56,14 @@
 
 
 %:
-	dh $@ --dbgsym-migration=libsdl2-mixer-dbg
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
+
+override_dh_autoreconf:
+	$(ACLOCAL)
+	dh_autoreconf
 
 override_dh_install:
 	dh_install --fail-missing -XlibSDL2_mixer.la
@@ -69,7 +73,7 @@
 
 override_dh_link:
         # fix lintian warning dev-pkg-without-shlib-symlink
-	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0.0.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
+	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages
 
 override_dh_compress:
@@ -77,3 +81,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-mixer-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration=libsdl2-mixer-dbg
