## libsdl2-mixer 2.0.4%2Bdfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.4+dfsg1-4) UNRELEASED; urgency=medium

  * update

 -- Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>  Thu, 19 May 2022 10:25:21 +0800

libsdl2-mixer (2.0.4+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with autoconf 2.71 (Closes: #993157)

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Sep 2021 10:15:13 +0100

libsdl2-mixer (2.0.4+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Add a superficial autopkgtest for libsdl2-mixer-dev (Closes: #941428)
  * d/rules: Don't explicitly use --as-needed linker option.
    It's the default with bullseye toolchains.

  [ Felix Geyer ]
  * Switch to debhelper compat level v12

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Fabian Greffrath ]
  * Backport a patch from upstream that fixes a use-after-free in
    music_fluidsynth.c, which would cause a segmentation fault with
    libfluidsynth 2.1.6 whenever a song was stopped.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 22 Jan 2021 10:59:38 +0100

libsdl2-mixer (2.0.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Recommend a recent enough timgm6mb-soundfont package or an
    alternative provider of sf3-soundfont-gm and use the default
    soundfont throughout the package.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 04 Aug 2019 13:48:23 +0200

libsdl2-mixer (2.0.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Verify signature of upstream tarball.
  * Switch from libmad to libmpg123 to avoid potential GPL licensing issues
    of libsdl2-mixer users.
  * Enable support for the Opus codec.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Feb 2019 12:40:50 +0100

libsdl2-mixer (2.0.2+dfsg1-3) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level v11
  * d/watch:
    - Set to version=4
    - Use https for URL
  * d/control:
    - Use https for Homepage URL
    - Set "Rules-Requires-Root: no"
    - Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 23:47:51 +0200
