## libsdl2-mixer 2.0.4+dfsg1

=== debian/changelog ===
libsdl2-mixer (2.0.4+dfsg1-4build1) jammy; urgency=medium

  * No-change rebuild against libfluidsynth3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 03:16:55 +0000
