=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: libsdl2-mixer
 Section: libs
 Priority: optional
-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                libflac-dev (>= 1.2.1),
                libfluidsynth-dev (>= 1.1.1),
-               libmad0-dev (>= 0.15.1b),
                libmodplug-dev (>= 1:0.8.8),
+               libmpg123-dev,
                libogg-dev (>= 1.2.0),
+               libopusfile-dev,
                libsdl2-dev (>= 2.0.7),
                libtool,
                libvorbis-dev (>= 1.2.0),
                pkg-config
-Homepage: http://www.libsdl.org/projects/SDL_mixer/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2-mixer.git
+Homepage: https://www.libsdl.org/projects/SDL_mixer/
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2-mixer
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2-mixer.git
 
 
 Package: libsdl2-mixer-2.0-0
@@ -25,7 +28,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm | freepats
+Recommends: timgm6mb-soundfont (>= 1.3-3~) | sf3-soundfont-gm
 Breaks: libfluidsynth1 (<< 1.1.7~)
 Description: Mixer library for Simple DirectMedia Layer 2, libraries
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
