=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 
 export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/FluidR3Mono_GM.sf3:/usr/share/sounds/sf2/TimGM6mb.sf2:/usr/share/sounds/sf2/FluidR3_GM.sf2\"
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS=\"/usr/share/sounds/sf3/default-GM.sf3\"
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 SHLIBVER := 2.0.2
 
@@ -44,13 +43,15 @@
 confflags += --enable-music-mod-modplug
 confflags += --disable-music-mod-mikmod
 confflags += --disable-music-mod-modplug-shared
-# using libmad instead of libsmpeg for mp3 (it's much more popular)
 confflags += --enable-music-mp3
-confflags += --disable-music-mp3-smpeg
-confflags += --enable-music-mp3-mad-gpl
+confflags += --enable-music-mp3-mpg123
+confflags += --disable-music-mp3-mpg123-shared
 # ogg
 confflags += --enable-music-ogg
 confflags += --disable-music-ogg-shared
+# opus
+confflags += --enable-music-opus
+confflags += --disable-music-opus-shared
 # wav
 confflags += --enable-music-wave
 
@@ -65,14 +66,14 @@
 	$(ACLOCAL)
 	dh_autoreconf
 
-override_dh_install:
-	dh_install --fail-missing -XlibSDL2_mixer.la
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- CHANGES.txt
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_link:
-        # fix lintian warning dev-pkg-without-shlib-symlink
+	# fix lintian warning dev-pkg-without-shlib-symlink
 	dh_link -plibsdl2-mixer-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2_mixer-2.0.so
 	dh_link --remaining-packages
