=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~.+](?:dfsg|ds)[0-9]*$//,repacksuffix=+dfsg,pgpmode=auto" \
https://github.com/libsdl-org/SDL_mixer/releases \
.*/SDL2_mixer-(\d+\.\d*[02468]\.\d+)@ARCHIVE_EXT@

# also: https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)
