## libsdl2-mixer 2.6.2+dfsg

=== debian/changelog ===
libsdl2-mixer (2.6.2+dfsg-2) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/p/music_opus.c-Fixed-the-memory-leak-after-tags.patch:
    Add minor memory leak fix from upstream release-2.6.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:13:41 +0100

libsdl2-mixer (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Aug 2022 21:05:51 +0100
