=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libsdl2-mixer
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 4.2.1
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libflac-dev (>= 1.2.1),
                libfluidsynth-dev (>= 1.1.1),
                libmodplug-dev (>= 1:0.8.8),
@@ -43,8 +42,15 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
+         libflac-dev (>= 1.2.1),
+         libfluidsynth-dev (>= 1.1.1),
+         libmodplug-dev (>= 1:0.8.8),
+         libmpg123-dev,
+         libogg-dev (>= 1.2.0),
+         libopusfile-dev,
+         libsdl2-dev (>= 2.0.7),
          libsdl2-mixer-2.0-0 (= ${binary:Version}),
-         libsdl2-dev (>= 2.0.7)
+         libvorbis-dev (>= 1.2.0),
 Description: Mixer library for Simple DirectMedia Layer 2, development files
  SDL_mixer is a sample multi-channel audio mixer library.  It supports any
  number of simultaneously playing channels of 16 bit stereo audio, plus a single
